__gnu_cxx::constant_void_fun< _Result > Struct Template Reference

Inherits __gnu_cxx::_Constant_void_fun< _Result >.

## Public Types

typedef _Result | result_type

## Public Member Functions

| constant_void_fun (const _Result &__v)
const result_type & | operator() () const

## Public Attributes

result_type | _M_val

## Detailed Description

### template<class _Result>
struct __gnu_cxx::constant_void_fun< _Result >

An SGI extension .

Definition at line 295 of file ext/functional.

The documentation for this struct was generated from the following file:

- ext/functional